#
# spec file for package ogmtools
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ogmtools
Version:        1.5
Release:        169.2
Summary:        Tools for OGG Media Streams
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://www.bunkus.org/videotools/ogmtools/
Source:         https://www.bunkus.org/videotools/ogmtools/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.diff
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libdvdread-devel
BuildRequires:  libvorbis-devel

%description
These tools allow information about (ogminfo), extraction from
(ogmdemux), creation of (ogmmerge), or the division of (ogmsplit) OGG
media streams.	OGM stands for OGG media streams.

%prep
%autosetup -p0

%build
autoreconf -fiv
export CXXFLAGS="-std=c++14 %{optflags}"
%configure --disable-dependency-tracking
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/dvdxchap
%{_bindir}/ogmcat
%{_bindir}/ogmdemux
%{_bindir}/ogminfo
%{_bindir}/ogmmerge
%{_bindir}/ogmsplit
%{_mandir}/man1/dvdxchap.1%{?ext_man}
%{_mandir}/man1/ogmcat.1%{?ext_man}
%{_mandir}/man1/ogmdemux.1%{?ext_man}
%{_mandir}/man1/ogminfo.1%{?ext_man}
%{_mandir}/man1/ogmmerge.1%{?ext_man}
%{_mandir}/man1/ogmsplit.1%{?ext_man}

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Thu Jun 10 2021 Dirk Müller <dmueller@suse.com>
- fix build against gcc 11
* Wed Nov 15 2017 mpluskal@suse.com
- Clean up with spec-cleaner
- Install ogmcut as well - it is not finished but works in some
  cases
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Jan 14 2008 schwab@suse.de
- Fix array overrun [#348980].
* Wed Jun 14 2006 schwab@suse.de
- Fix broken makefile substitutions.
* Sun May 21 2006 schwab@suse.de
- Fix reading headers.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 schwab@suse.de
- Don't strip binaries.
- Use RPM_OPT_FLAGS.
* Fri Aug  5 2005 cthiel@suse.de
- Update to ogmtools 1.5.
* Thu Aug  5 2004 schwab@suse.de
- Update to ogmtools 1.4.1.
* Sat Apr 17 2004 schwab@suse.de
- Update to ogmtools 1.4.
* Tue Apr 13 2004 schwab@suse.de
- Update to ogmtools 1.3.
* Wed Nov 26 2003 schwab@suse.de
- Update to ogmtools 1.2.
* Wed Oct 29 2003 schwab@suse.de
- Update to ogmtools 1.1.
* Thu Aug  7 2003 schwab@suse.de
- Update to ogmtools 1.0.3.
* Mon May 12 2003 schwab@suse.de
- Fix for new rpm.
* Wed May  7 2003 schwab@suse.de
- Update to ogmtools 1.0.2, includes all patches.
* Tue Apr 22 2003 schwab@suse.de
- Initial version 1.0.1.
- Make portable.
